package middleware

import (
	"go.uber.org/zap"

	"codeberg.org/mapleopentech/monorepo/cloud/maplepress-backend/config"
)

// ProvideRequestSizeLimitMiddleware provides the request size limit middleware
func ProvideRequestSizeLimitMiddleware(cfg *config.Config, logger *zap.Logger) *RequestSizeLimitMiddleware {
	return NewRequestSizeLimitMiddleware(cfg, logger)
}
